> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Details



## OpenAPI

````yaml openapi.json get /transaction/info
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /transaction/info:
    parameters: []
    get:
      tags:
        - Transactions
      summary: Transaction Details
      parameters:
        - name: transactionId
          in: query
          required: false
          description: Optional
          example: 23749cbc-ec39-465e-a38b-86f334af62d6
          schema:
            type: integer
        - name: reference
          in: query
          required: false
          description: Optional
          example: DkDLASts8VPBl1VCajTggIXrf4tnWndHoiGA
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '588'
            ETag:
              schema:
                type: string
              example: W/"24c-RZlx6gCmRN8Imf87u5gOsgvT1A8"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 02 Jul 2024 07:19:18 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Wallet Transaction Detail - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      transaction:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                          status:
                            type: string
                          charges:
                            type: integer
                          category:
                            type: string
                          amount:
                            type: integer
                          amountProcessed:
                            type: integer
                          sessionId:
                            type: string
                            format: utc-millisec
                          description:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          narration:
                            type: string
                          originatorBankCode:
                            type: string
                            format: color
                          originatorBankName:
                            type: string
                          beneficiaryBankCode:
                            type: string
                            format: color
                          beneficiaryBankName:
                            type: string
                          originatorAccountName:
                            type: string
                          beneficiaryAccountName:
                            type: string
                          originatorAccountNumber:
                            type: string
                            format: utc-millisec
                          beneficiaryAccountNumber:
                            type: string
                            format: utc-millisec
              example:
                status: true
                data:
                  transaction:
                    id: 196caf5c-20af-49c1-93ff-a8e6ade183b2
                    type: DEBIT
                    status: SUCCESS
                    charges: 10
                    category: BANK_TRANSFER
                    amount: 500
                    amountProcessed: 510
                    sessionId: '999270240717154010540073988655'
                    description: ₦500.00 transferred to SIMI MICHELLE
                    createdAt: '2024-07-17T14:40:09.244Z'
                    narration: Free money testing 03
                    originatorBankCode: '999270'
                    originatorBankName: Xpress Wallet
                    beneficiaryBankCode: '000023'
                    beneficiaryBankName: PROVIDUS BANK
                    originatorAccountName: Neyosoft
                    beneficiaryAccountName: SIMI MICHELLE
                    originatorAccountNumber: '4409794005'
                    beneficiaryAccountNumber: '2394934324'
        '400':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '71'
            ETag:
              schema:
                type: string
              example: W/"47-hGjgKdwIHmv5hkVo2I0m4ZE14IU"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 24 Jul 2024 11:40:38 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Transaction Details - No Reference or ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
              example:
                status: false
                message: Please provide transaction reference or ID
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````